<?php
/*
Plugin Name: Ada Tamilish Plugin
Version: 0.0.1
Plugin URI: http://1uthavi.adadaa.com/ada-tamilish-wordpress-plugin/
Author: CAPitalZ
Author URI: http://1uthavi.adadaa.com/
Description: Ada Tamilish Vote Plugin allows you to embed the <a href="http://www.tamilish.com/" target="_blank">Tamilish Vote toolbar</a> in your posts.  In the options page, you can chose whether you want to display vertical button or horizontal button.
*/

/*  Copyright 2009 Adadaa

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

if (!class_exists('tamilish_init')) {
class tamilish_init
{

//protected $ada_plugin_date = "01/06/2009"; // dd/mm/yyyy
//protected $ada_plugin_version = "0.0.1";

//-------------------------------------------------------------------------------------------------- 
// Hook in to the WP filters/actions
//
function ada_add_hooks()        
{                   
        // Set a hook for showing the cfg page
        add_action('admin_menu', array(&$this, 'ada_add_cfg_page'));

        // Display toolbar in the_content
        add_filter('the_content', array(&$this, 'ada_show_toolbar'));    
}

function ada_include_main_code($PostUrl)
{
        $tamilish_vote_code = '';
		
		if(get_option("tamilish_vote") != 'hori')	//default
		{		
			$tamilish_vote_code .= '<iframe style="display:inline" name="pliggit" width="54" height="71" scrolling="no" frameborder="0" src="http://www.tamilish.com/tools/sub.php?url='.   urlencode($PostUrl) . '&button=vert"></iframe>';
		}	
		else
		{	
			$tamilish_vote_code .= '<iframe name="tamilish" width="143" height="25" scrolling="no" frameborder="0" src="http://www.tamilish.com/tools/sub.php?url='.   urlencode($PostUrl) . '&button=hori"></iframe>';	//CAPitalZ: using urlencode("'" . $PostUrl . "'") or using the single quote doesn't work correctly.  the single quote is automatically escaped by the broswer adding a:  \' syntax.
		}
		
		return ($tamilish_vote_code);
}

//--------------------------------------------------------------------------------------------------
// Emit SCRIPT_CODE 
//
function ada_include_toolbar_code()
{
		global $wp_query;
		
		$post = $wp_query->post;
		$permalink = (get_permalink($post->ID));
		
        return ($this->ada_include_main_code($permalink));
}   

//--------------------------------------------------------------------------------------------------
// Callback function during the_content and the_excerpt filter phases
//
function ada_show_toolbar($content)
{                   
        //if (is_single())	//CAPitalZ: will add this option in the next version
        //{
				$toolbar_code = $this->ada_include_toolbar_code();
					
                return($content.$toolbar_code);
        //}
        //else
        //{
        //        return $content;
        //}
}

//--------------------------------------------------------------------------------------------------
// Callback for admin_menu action hook
// 
function ada_add_cfg_page()
{
        if (function_exists('add_options_page'))
        {
                add_options_page(__('Ada Tamilish'), 'Tamilish', 8, basename(__FILE__), array(&$this, 'ada_options_page'));
        }
}

//--------------------------------------------------------------------------------------------------
// CFG page function
//
function ada_options_page()
{
        if(isset($_POST["action"]))
        {
                if($_POST["action"] == 'update_options')
                {
                        // Save the settings
                        update_option("tamilish_vote", $_POST["tamilish_vote"]);

                        // Print a nice message to the user
                        print "<div id=\"message\" class=\"updated fade\"><p><strong>".__('Options saved.')."</strong></p></div>";
                }
        }
		
        print "<div class=\"wrap\"><h2>" . __('Ada Tamilish') . "</h2><form method=\"post\">";
        print "<fieldset class=\"options\"><legend>Options</legend>";
		print "<table class=\"editform optiontable\">";
        print "<tr valign=\"top\"><th scope=\"row\">" . __('Please chose which button style you wish to display') . ": </th><td>";
        print "<label for=\"tamilish_vote_hori\"><input name=\"tamilish_vote\" type=\"radio\" id=\"tamilish_vote_hori\" value=\"hori\"";checked('hori', get_option('tamilish_vote'));
        print "/><img src='http://www.imageurlhost.com/images/qdgncvjzxgoonemdll.png' alt='Tamilish horizontal button' /></label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
		print "<label for=\"tamilish_vote_vert\"><input name=\"tamilish_vote\" type=\"radio\" id=\"tamilish_vote_vert\" value=\"vert\"";checked('vert', get_option('tamilish_vote'));
        print "/><img src='http://www.imageurlhost.com/images/xt4k7ov7oa9abonmqowz.png' alt='Tamilish vertical button' /></label><br />";
        print "</td></tr></table></fieldset>";
        print "<input type=\"hidden\" name=\"action\" value=\"update_options\" /><p class=\"submit\"><input type=\"submit\" name=\"update_options\" value=\"";
        print __('Update options &raquo;') . "\" /></p>";
		
		//CAPitalZ{
		print "<p>&nbsp;</p>";
		//CAPitalZ}
		
        print "<p></form></div><div id=\"footer\"><p class=\"logo\"><a href='http://www.tamilish.com'><img src='http://tamilish.net/images/tamilishbtn.gif' alt='Tamilish' /></a></p></div>";
}

//--------------------------------------------------------------------------------------------------
// Our main() function
//
function tamilish_init()
{
        // Setup hooks
		$this->ada_add_hooks();
        
}        

}	//end class
}   //end if
$thmzmnm = new tamilish_init();